﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace GridDataControlEx
{
   public class Student:INotifyPropertyChanged
    {

        int rollno;
        string name;
        string fname;
        string lname;
        int age;
        bool isClosed;
        public bool IsClosed
        {
            get
            {
                return isClosed;
            }
            set
            {
                isClosed = value;
                this.OnPropertyChanged("isClosed");
            }
        }
        Uri link;
        public Uri Link
        {
            get
            {
                return link;
            }
            set 
            {
                link = value;
                this.OnPropertyChanged("link");
            }
        }

        public int Rollno
        {
            get
            {
                return rollno;
            }
            set
            {
                rollno = value;
                this.OnPropertyChanged("rollno");
            }
        }
        public string Name
        {
            get
            {
                return name;
            }
            set
            {
                name = value;
                this.OnPropertyChanged("name");
            }

        }
        public string Fname
        {
            get
            {
                return fname;
            }
            set
            {
                fname = value;
                this.OnPropertyChanged("fname");
            }
        }
        public string Lname
        {
            get
            {
                return lname;
            }
            set
            {
                lname = value;
                this.OnPropertyChanged("lname");
            }
        }
        public int Age
        {
            get
            {
                return age;
            }
            set
            {
                age = value;
                this.OnPropertyChanged("age");
            }
        }
        
        public string this[string columnName]
        {
            get
            {
                if (columnName == "FirstName")
                {
                    return string.IsNullOrEmpty(this.Name) ? "FirstName cannot be empty." : string.Empty;
                }
              
                if (columnName == "Age")
                {
                    var result = string.Empty;
                    if (this.Age < 25)
                    {
                        result = "Age is below 25";
                    }
                    return result;
                }
                return string.Empty;
            }

        }
        public Student()
        {
        }
        public Student(int rno, string nam,string fnam,string lnam, int ag,bool closed)
        {
            this.Rollno = rno;
            this.Name = nam;
            this.Age = ag;
            this.Fname = fnam;
            this.Lname = lnam;
            this.IsClosed = closed;

        }



        public event PropertyChangedEventHandler PropertyChanged;
        protected void OnPropertyChanged(string stu)
        {
            if (PropertyChanged != null)
                this.PropertyChanged(this, new PropertyChangedEventArgs(stu));
        }

    }
     
}
