﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace GridDataControlEx
{
   public  class StudentCollection:INotifyPropertyChanged
    {
        ObservableCollection<Student> stud;
        object selecteditem;
        public object SelectedItem
        {
            get
            {
                return selecteditem;
            }
            set
            {
                selecteditem = value;
                this.OnPropertyChanged("selecteditem");
            }
        }

        public ObservableCollection<Student> Stud
        {
            get
            {
                return stud;
            }
            set
            {
                stud = value;
                this.OnPropertyChanged("stud");
            }
        }
        public StudentCollection()
        {
            stud = new ObservableCollection<Student>();
            stud.Add(new Student(1, "aaa", " R", " A", 12, true));
            stud.Add(new Student(5, "bbb", "R", "B", 23, false));
            stud.Add(new Student(3, "ccc", "dsf ", "c ", 12, true));
            stud.Add(new Student(4, "ddd", "dsf ", "c ", 23, false));
           
        }



        public event PropertyChangedEventHandler PropertyChanged;
        protected void OnPropertyChanged(string stu)
        {
            if (PropertyChanged != null)
                this.PropertyChanged(this, new PropertyChangedEventArgs(stu));
        }
    }
}
